Loading...
Searching...
No Matches
globus_thread_rmutex.h File Reference

Recursive Mutex. More...

`#include "globus_common_include.h"`
`#include "globus_thread.h"`

Go to the source code of this file.

## Data Structures

struct | globus_rmutex_t
| Recursive Mutex. More...

## Typedefs

typedef int | globus_rmutexattr_t
| Recursive mutex attribute.

## Functions

int | globus_rmutex_init (globus_rmutex_t *rmutex, globus_rmutexattr_t *attr)
| Initialize a recursive mutex.
int | globus_rmutex_lock (globus_rmutex_t *rmutex)
| Lock a recursive mutex.
int | globus_rmutex_unlock (globus_rmutex_t *rmutex)
| Unlock a recursive mutex.
int | globus_rmutex_destroy (globus_rmutex_t *rmutex)
| Destroy a recursive mutex.

## Detailed Description

Recursive Mutex.